@import url('https://fonts.googleapis.com/css2?family=Arima:wght@400;500;700&display=swap');

body,h1,h2,h3,h4,h5,h6,p,a,span,label,input,li,ul,ol,div{
    font-family: 'Arima', cursive;
}

body{
    margin: 0;
    padding: 0;
}

:root{
    --gray: #3d3d3d;
    --brown: #A9927D;
    --sand: #E6CCB2;
    --green: #06B97F;
    --blue: #147DA0;
}


::selection {
  background: #147DA0; /* WebKit/Blink Browsers */
  color: #fff;
}

::-moz-selection {
  background: #147DA0; /* Gecko Browsers */
  color: #fff;
}

textarea:focus,
input[type="text"]:focus,
input[type="password"]:focus,
input[type="datetime"]:focus,
input[type="datetime-local"]:focus,
input[type="date"]:focus,
input[type="month"]:focus,
input[type="time"]:focus,
input[type="week"]:focus,
input[type="number"]:focus,
input[type="email"]:focus,
input[type="url"]:focus,
input[type="search"]:focus,
input[type="tel"]:focus,
input[type="color"]:focus,
.uneditable-input:focus {   
  border-color: rgba(172, 45, 73, 0.8);
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075) inset, 0 0 8px rgba(172, 45, 73, 0.6);
  outline: none !important;
}

div:focus{
	outline: none !important;
}

h1{
    font-size: 60px;
    font-weight: 400;
    line-height: 67px;
}

h2{
    font-size: 60px;
    font-weight: 400;
    line-height: 67px;
}

h3{
    font-size: 30px;
    font-weight: 300;
    line-height: 44px;
}

h4{
    font-size: 16px;
    color: var(--brown);
}
a{
	transition: all 0.25s;
}

a:hover,
a:focus{
	text-decoration: none;
    color: var(--green);
}

.bg{
	background-size: cover !important;
    background-repeat: no-repeat !important;
    background-position: center center !important;
}

.mc{
    display: flex;
    align-items: center;
    justify-content: center;
}

.clear{
    clear: both;
}

#wrapper{
    padding: 80px 0;
}

.separator{
    border: 10px solid;
    border-image-slice: 1;
    border-width: 1px;
    border-radius: 0;
    border-image-source: linear-gradient(to left, var(--green), var(--blue));
    width: 100px;
    margin: 40px auto;
}

.btn-secondary{
    border: 10px solid;
    border-image-slice: 1;
    border-width: 2px;
    border-radius: 0;
    border-image-source: linear-gradient(to left, var(--green), var(--blue));
    background: transparent;
    color: var(--gray);
    position: relative;
    z-index: 1;
    padding: 8px 30px 6px;
    text-transform: uppercase;
}


.btn-secondary:hover{
    color: #fff;
    background: transparent;
}


.btn-secondary:after{
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background: linear-gradient(to left, var(--green), var(--blue));
    transition: all 0.25s;
    opacity: 0 ;
    display: block;
    content: '';
    z-index: -1;
}

.btn-secondary:hover:after{
    opacity: 1;
}

/* NAVBAR */
.navbar{
    height: 250px;
    transition: all 0.25s;
    padding-top: 0;
}

.navbar .navbar-nav{
    padding-top: 0;
}

.navbar .nav-link{
    color: #fff;
    font-size: 18px;
    text-transform: uppercase;
}

.navbar .btn-secondary{
    background: transparent;
    color: #fff;
}

.navbar .nav-item{
    padding: 0 20px;
}

.navbar .navbar-brand{
    width: 260px;
    position: absolute;
    left: 50%;
    margin: 0 0 0 -140px;
    padding: 0;
}

.navbar-expand-lg .navbar-nav .dropdown-menu{
    margin-left: -150px;
    min-width: 350px;
}

.basketlayer{
    padding: 15px;
    width: 100%;
}

.basketlayer .btn-success{
    width: 100%;
}





/* HOMEPAGE SLIDER */

#homepageHeader .swiper-slide{
    height: 800px;
}

#homepageHeader .swiper-slide .content{
    position: absolute;
    height: 100%;
    width: 100%;
    background: rgba(0,0,0,0.5)
}

#homepageHeader .swiper-pagination-bullet{
    background: transparent;
    border: 1px solid #fff;
    opacity: 1;
}

#homepageHeader .swiper-pagination-bullet-active{
    background: #fff;
}

#homepageHeader h2{
    color: #fff;
}

#homepageHeader h3{
    color: var(--sand);
}

#homepageHeader .btn-secondary{
    color: #fff;
}


/* SZÖVEGES TARTALOM */

#subpageHeader{
    height: 450px;
}

#subpageHeader .container-fluid{
    background: rgba(0,0,0,0.5);
}

#subpageHeader .col-12{
    display: flex;
    height: 450px;
    align-items: flex-end;
    justify-content: center;
    padding-bottom: 30px;
}

#subpageHeader h1{
    color: #fff;
}

.staticPage{
    padding: 100px 0;
}

.staicPage .btn-secondary{
    color: var(--gray);
}

.homepageStatic{
    overflow: hidden;
    position: relative;
    padding-top: 0;
}

.homepageStatic h1{
    color: var(--gray);
    margin: 0;
}

.homepageStatic p{
    color: var(--brown);
}

.homepageStatic .peacock{
    position: absolute;
}

.homepageStatic .leftPeacock{
    left: -500px;
}

.homepageStatic .rightPeacock{
    right: -700px;
    top: -150px;
}

/* FŐOLDALI BANNEREK */

#banners{
    padding: 80px 0;
}

#banners .inner .content{
    background: rgba(0,0,0,0.5);
    padding: 10px;
    position: relative;
    transition: all 0.25s;
}

#banners .inner .content:hover{
    background: rgba(0,0,0,0.7);
}

#banners .inner .content .mc{
    height: 500px;
}

#banners .borderedLayer{
    width: calc(100% - 20px);
    height: calc(100% - 20px);
    border: 1px solid;
    border-image-slice: 1;
    border-width: 1px;
    border-radius: 0;
    border-image-source: linear-gradient(to left, var(--green), var(--blue));
    position: absolute;
    opacity: 0;
    transition: all 0.25s;
}

#banners .inner .content:hover .borderedLayer{
    opacity: 1;
} 

#banners .inner .content .underline{
    width: 70px;
    border-top: 1px solid #fff;
    margin: 0 auto;
}

#banners h3{
    color: #fff;
}


#onlineBanner{
    padding: 100px 0;
    background: var(--brown);
    position: relative;
    overflow: hidden;
}

#onlineBanner h2,
#onlineBanner h3{
    color: #fff;
}

#onlineBanner h3 a{
    color: var(--gray);
}

#onlineBanner .btn-secondary{
    color: #fff;
}

#onlineBanner .peacock{
    position: absolute;
    right: 0;
    bottom:0;
    width: 450px;
}

/* SZOLGÁLTATÁSOK */

#services{
    padding: 100px 0;
}

#services img{
    margin-bottom: 30px;
}

#services p{
    color: var(--brown);
}

#services p span{
    color: var(--gray);
}

/* GALÉRIA */

#gallery{
    padding: 100px 0 0;
}

#gallery .nav-pills .btn-secondary{
    padding: 8px 70px 6px;
}

#gallery .nav-pills .btn-secondary.active{
    background: linear-gradient(to left, var(--green), var(--blue));
}

#gallery .swiper{
    overflow: hidden;
    padding-top: 100px;
}

#gallery .swiper-wrapper{
    height: 600px;
}

#gallery .swiper-slide{
    height: 400px;
    transition: all 0.25s;
}

#gallery .swiper-slide-next{
    transform: scale(1.2);
}

#gallery .swiper-slide p{
    text-align: center;
    color: var(--brown);
    bottom: -50px;
    position: absolute;
}

#gallery .button-prev,
#gallery .button-next{
    position: absolute;
    height: 40px;
    width: 40px;
    top: calc(50% - 20px);
    z-index: 99;
    cursor: pointer;
    background: linear-gradient(to left, var(--green), var(--blue));
    display: flex;
    align-items: center;
    justify-content: center;
}

#gallery .button-next{
    right: 15px;
}

#gallery .button-next svg{
    transform: rotate(180deg);
}

/* Vendégeink */

#favs{
    padding: 100px 0;
    background: var(--gray);
}

#favs h2{
    color: #fff;
}

#favs .swiper{
    overflow: hidden;
}

#favs .swiper-slide{
    border: 1px solid var(--brown);
    padding: 50px 30px 30px;
    margin-top: 15px;
}

#favs .swiper-slide p.category{
    background: var(--gray);
    display: inline-block;
    color: #fff;
    width: 140px;
    position: absolute;
    top: -10px;
    left: 50%;
    margin-left: -70px;
}

#favs .swiper-slide p.name{
    font-size: 30px;
    line-height: 35px;
    color: #fff;
}

#favs .swiper-slide p.price{
    margin: 0;
    color: var(--sand);
}

#favs .btn-secondary{
    color: #fff;
}

/* FOOTER */


footer .container{
    padding: 50px;
    margin-bottom: -100px;
    z-index: 2;
    position: relative;
}

footer .container-fluid{
    height: 420px;
    display: flex;
    align-items: flex-end;
    justify-content: center;
    padding-bottom: 30px;
}

footer p,
footer a{
    color: #fff;
    margin: 0;
}

footer ul{
    padding: 0;
    margin: 0;
    list-style: none;
}

footer ul.menu li{
    margin-bottom: 10px;
}

footer ul.menu a{
    font-size: 30px;
    line-height: 35px;
}

/* ÉTLAP */

#dailyOffer .container{
    background: var(--brown);
    min-height: 300px;
    padding: 50px;
}

#dailyOffer .offerPic{
    width: 50%;
    position: absolute;
    height: 100%;
    object-fit: cover;
    top: 0;
}

#dailyOffer .bg{
    padding: 50px;
}

#dailyOffer .bg h2{
    color: #fff;
    text-align: center;
}

p.foodItem {
    color: #fff;
    position: relative;
}

.foodItem span.allergens,
.foodItem span.price{
    color: var(--brown);
}

.foodItem span.price{
    position: absolute;
    right: 50px;
    top: 0;
}

#menu {
    padding: 80px 0;
}
 
#menu .foodCats{
    background: var(--gray);
    padding: 30px;
    list-style: none;
    margin: 0;
}

#menu .foodCats li{
    line-height: 2;
}

#menu .foodCats li a{
    color: #fff;
}

#menu h2{
    text-align: center;
    background: #fff;
    padding: 5px 40px;
    display: inline-block;
}

#menu h2:after{
    content: '';
    border-top: 1px solid var(--gray);
    width: calc(100% - 15px);
    position: absolute;
    left: 15px;
    top: 31px;
    z-index: -1;
}

p.foodItem.inMenu{
    color: var(--gray);
    margin-bottom: 15px;
}

.foodItem.inMenu span.price{
    right: 0;
}

#menu .quantity{
    height: 42px;
    border-radius: 0;
    border: 2px solid var(--brown);
}

.foodItem.onShop span.price{
    margin-top: 10px;
}


.online-menu{
    padding: 80px 0;
}

@media (max-width: 767px){
    .navbar{
		display: none;
	}

    #subpageHeader,
    #subpageHeader .col-12{
        height: 250px;
    }

    h1{
        font-size: 50px;
        line-height: 56px;
    }

    #subpageHeader h1{
        text-align: center;
    }

    h2{
        font-size: 40px;
        line-height: 48px;
    }

    h3{
        font-size: 20px;
        font-size: 26px;
    }

    .homepageStatic .leftPeacock{
        display: none;
    }

    #banners .inner .content{
        margin-bottom: 30px;
    }

    #onlineBanner .peacock{
        width: 180px;
    }

    footer{
        text-align: center;
    }

    footer ul.menu{
        margin-bottom: 30px;
    }

    #menu,
    #wrapper{
        padding: 30px 0;
    }

    p.foodItem.inMenu{
        padding-right: 75px;
    }

    p.foodItem.inMenu.onShop{
        padding-right: 0;
        text-align: center;
        
    }

    .foodItemMobile{
        margin-bottom: 15px !important;
        padding-bottom: 15px;
        border-bottom: 1px solid var(--brown)
    }

    .foodItemMobile:last-child{
        border-bottom: none;
    }

    .foodItemMobile .btn{
        width: 100%;
        padding-left: 5px !important;
        padding-right: 5px !important;
    }

    #menu .foodCats{
        margin-bottom: 30px !important;
    }


}

@media (min-width: 768px) and (max-width: 992px){
    
}

@media (min-width: 993px) and (max-width: 1200px){
    .navbar .navbar-brand,
    .navbar .navbar-brand img{
        width: 190px;
    }

    .navbar .navbar-brand{
        margin: 0 0 0 -95px;
    }
    
    .navbar .nav-item{
        padding: 0 3px;
    }

    .navbar .btn-secondary{
        margin-top: 7px;
    }

    .navbar .nav-link{
        font-size: 17px;
        padding-top: 17px;
    }

    .navbar .nav-link img{
        margin-top: -3px;
    }
}

@media (min-width: 1201px) and (max-width: 1366px){
    .navbar .navbar-brand,
    .navbar .navbar-brand img{
        width: 190px;
    }

    .navbar .navbar-brand{
        margin: 0 0 0 -95px;
    }
    
    .navbar .nav-item{
        padding: 0 3px;
    }

    .navbar .btn-secondary{
        margin-top: 7px;
    }

    .navbar .nav-link{
        font-size: 17px;
        padding-top: 17px;
    }

    .navbar .nav-link img{
        margin-top: -3px;
    }
}

@media (min-width: 1367px) and (max-width: 1600px){
    .navbar .nav-item{
        padding: 0 10px;
    }
}

@media (min-width: 1601px) {

}